id: 87
createUser: admin
createTime: 2025-05-02T10:03:49.612307232Z
name: alex tackletestapp public.28.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded:
                - skip
            included:
                - konveyor.io/target=cloud-readiness
                - skip
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 28
    name: alex tackletestapp public
bucket:
    id: 92
    name: ""
pod: openshift-mta/task-87-x4w8v
started: 2025-05-02T10:03:50.450426087Z
terminated: 2025-05-02T10:05:54.174720796Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-02T10:03:50.406500912Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-05-02T10:03:50.450412411Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-87-x4w8v
      last: 2025-05-02T10:03:50.544660575Z
    - kind: PodPending
      count: 8
      reason: ContainerCreating
      last: 2025-05-02T10:03:54.863295044Z
    - kind: PodRunning
      count: 110
      last: 2025-05-02T10:05:54.174719994Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-02T10:05:54.174720876Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-05-02T10:05:54.273141349Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp-public'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp-public /shared/source/tackle-testapp-public'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=24 (cloud-readiness)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/24/rules /addon/rules/rulesets/24/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '[RULE] inject(konveyor.io/include=always): /addon/rules/files/ruleset.yaml.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/files --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/24/rules --rules /addon/rules/rulesets/20/rules --label-selector (skip||konveyor.io/target=cloud-readiness) --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 28.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 29 reported. duration: 57.007788ms'
    - Facts updated.
    - Done.
attached:
    - id: 1061
      name: ssh-agent.output
      activity: 9
    - id: 1062
      name: git.output
      activity: 14
    - id: 1063
      name: windup-shim.output
      activity: 20
    - id: 1066
      name: windup-shim.output
      activity: 22
    - id: 1067
      name: windup-shim.output
      activity: 24
    - id: 1068
      name: windup-shim.output
      activity: 26
    - id: 1069
      name: settings.yaml
      activity: 29
    - id: 1070
      name: konveyor-analyzer.output
      activity: 30
    - id: 1071
      name: git.output
      activity: 33
    - id: 1064
      name: addon.log
    - id: 1065
      name: java.log
    - id: 1073
      name: pod.yaml
